Subject: RE: [mobile-ip] draft-tkn-mobileip-qosbinding-mipv6-00.txt

From: "Hemant Chaskar" <[email-masked]>
Date: Thu, 19 Jul 2001 17:02:14

Hello Hesham: Please see comments inline:

>From: "Hesham Soliman  (ERA)" <[email-masked]>
>Reply-To: [email-masked]
>To: "[email-masked]'" <[email-masked]>
>Subject: RE: [mobile-ip] draft-tkn-mobileip-qosbinding-mipv6-00.txt
>Date: Thu, 19 Jul 2001 17:43:23 +0200
>
>	Hello Hemant,
>
>
> > You draft says that the QoS object can be transferred from old AR to new 
>AR
> > by context tranfer framework. In that case, who sends BU to MAP? In 
>other
> > words, it is not possible that the MN sends BU and AR "fills in" the QoS
> > object h-b-h option as it changes IP packet length and disturbs the
> > authentication calculation.
> >
>	=> This is one way of doing it and we are puttnig it in the appendix
>	of HMIPv6:
>
>	- oAR triggers the handover by sending a Prrtradv
>	- In the mean time the oAR does the CT. Note that the oAR should already
>	  have the QoS objects/attributes.
>	- The MN sends a BU, not to the oAR but to the MAP before
>	  it moves. This BU can include a H-B-H option.
>

[Hemant] This BU MUST go through new AR towards MAP, so that it follows the 
same path as the packets would follow from the new AR. Is this satisfied in 
the above scheme?

>	On another note, I'd like to ask you and the authors a stupid question :) 
>why can't we
>	reuse the router alert option for this instead of having a new option ?
>
>

[Hemant] Frankly, I have not considered that alternative, so let me delve 
more into it before responding. Probably Xiaoming et. al. have an answer.

>	Regards,
>	Hesham

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp